# -*- encoding: utf-8 -*-

require "color"
require "color/rgb/jp/base"

module Color::RGB::JP
  module JISZ8102
    extend Color::RGB::JP::Base::Pallet

    TokiIro = c("TokiIro", "FA9CB8", "鴇色", "ときいろ", "トキイロ", "toki-iro")

    TsutsujiIro = c("TsutsujiIro", "CF4078", "躑躅色", "つつじいろ", "ツツジイロ", "tsutsuji-iro")

    SakuraIro = c("SakuraIro", "FBDADE", "桜色", "さくらいろ", "サクライロ", "sakura-iro")

    BaraIro = c("BaraIro", "D53E62", "薔薇色", "ばらいろ", "バライロ", "bara-iro")

    KarakurenaiIro = c("KarakurenaiIro", "E64B6B", "韓紅色", "からくれないいろ", "カラクレナイイロ", "karakurenai-iro")

    SangoIro = c("SangoIro", "FF7F8F", "珊瑚色", "さんごいろ", "サンゴイロ", "sango-iro")

    KoubaiIro = c("KoubaiIro", "DF828A", "紅梅色", "こうばいいろ", "コウバイイロ", "koubai-iro")

    MomoIro = c("MomoIro", "E38089", "桃色", "ももいろ", "モモイロ", "momo-iro")

    BeniIro = c("BeniIro", "BE003F", "紅色", "べにいろ", "ベニイロ", "beni-iro")

    Beniaka = c("Beniaka", "B81A3E", "紅赤", "べにあか", "ベニアカ", "beniaka")

    Enji = c("Enji", "AD3140", "臙脂", "えんじ", "エンジ", "enji")

    Suou = c("Suou", "94474B", "蘇芳", "すおう", "スオウ", "suou")

    AkaneIro = c("AkaneIro", "9E2236", "茜色", "あかねいろ", "アカネイロ", "akane-iro")

    Aka = c("Aka", "BE0032", "赤", "あか", "アカ", "aka")

    ShuIro = c("ShuIro", "EF454A", "朱色", "しゅいろ", "シュイロ", "shu-iro")

    BenikabaIro = c("BenikabaIro", "9E413F", "紅樺色", "べにかばいろ", "ベニカバイロ", "benikaba-iro")

    Benihi = c("Benihi", "EF4644", "紅緋", "べにひ", "ベニヒ", "benihi")

    EntanIro = c("EntanIro", "D1483E", "鉛丹色", "えんたんいろ", "エンタンイロ", "entan-iro")

    Beniebicha = c("Beniebicha", "6D3A33", "紅海老茶", "べにえびちゃ", "ベニエビチャ", "beniebicha")

    TobiIro = c("TobiIro", "7A453D", "鳶色", "とびいろ", "トビイロ", "tobi-iro")

    AzukiIro = c("AzukiIro", "905D54", "小豆色", "あずきいろ", "アズキイロ", "azuki-iro")

    BengaraIro = c("BengaraIro", "863E33", "弁柄色", "べんがらいろ", "ベンガライロ", "bengara-iro")

    Ebicha = c("Ebicha", "693C34", "海老茶", "えびちゃ", "エビチャ", "ebicha")

    Kinaka = c("Kinaka", "EA4E31", "金赤", "きんあか", "キンアカ", "kin'aka")

    Akacha = c("Akacha", "AD4E39", "赤茶", "あかちゃ", "アカチャ", "akacha")

    AkasabiIro = c("AkasabiIro", "8D3927", "赤錆色", "あかさびいろ", "アカサビイロ", "akasabi-iro")

    Ouni = c("Ouni", "EB6940", "黄丹", "おうに", "オウニ", "ouni")

    Akadaidai = c("Akadaidai", "E65226", "赤橙", "あかだいだい", "アカダイダイ", "akadaidai")

    KakiIro = c("KakiIro", "DB5C35", "柿色", "かきいろ", "カキイロ", "kaki-iro")

    NikkeiIro = c("NikkeiIro", "B5725C", "肉桂色", "にっけいいろ", "ニッケイイロ", "nikkei-iro")

    KabaIro = c("KabaIro", "B64826", "樺色", "かばいろ", "カバイロ", "kaba-iro")

    RengaIro = c("RengaIro", "914C35", "煉瓦色", "れんがいろ", "レンガイロ", "renga-iro")

    SabiIro = c("SabiIro", "624035", "錆色", "さびいろ", "サビイロ", "sabi-iro")

    HiwadaIro = c("HiwadaIro", "865C4B", "桧皮色", "ひわだいろ", "ヒワダイロ", "hiwada-iro")

    KuriIro = c("KuriIro", "704B38", "栗色", "くりいろ", "クリイロ", "kuri-iro")

    Kiaka = c("Kiaka", "D86011", "黄赤", "きあか", "キアカ", "kiaka")

    Taisha = c("Taisha", "B26235", "代赭", "たいしゃ", "タイシャ", "taisha")

    RakudaIro = c("RakudaIro", "B0764F", "駱駝色", "らくだいろ", "ラクダイロ", "rakuda-iro")

    Kicha = c("Kicha", "B1632A", "黄茶", "きちゃ", "キチャ", "kicha")

    HadaIro = c("HadaIro", "F1BB93", "肌色", "はだいろ", "ハダイロ", "hada-iro")

    DaidaiIro = c("DaidaiIro", "EF810F", "橙色", "だいだいいろ", "ダイダイイロ", "daidai-iro")

    Haicha = c("Haicha", "816551", "灰茶", "はいちゃ", "ハイチャ", "haicha")

    ChaIro = c("ChaIro", "6D4C33", "茶色", "ちゃいろ", "チャイロ", "cha-iro")

    Kogecha = c("Kogecha", "564539", "焦茶", "こげちゃ", "コゲチャ", "kogecha")

    KoujiIro = c("KoujiIro", "FAA55C", "柑子色", "こうじいろ", "コウジイロ", "kouji-iro")

    AnzuIro = c("AnzuIro", "D89F6D", "杏色", "あんずいろ", "アンズイロ", "anzu-iro")

    MikanIro = c("MikanIro", "EB8400", "蜜柑色", "みかんいろ", "ミカンイロ", "mikan-iro")

    KachiIro_A = c("KachiIro_A", "6B3E08", "褐色", "かちいろ", "カチイロ", "kachi-iro")

    TsuchiIro = c("TsuchiIro", "9F6C31", "土色", "つちいろ", "ツチイロ", "tsuchi-iro")

    KomugiIro = c("KomugiIro", "D4A168", "小麦色", "こむぎいろ", "コムギイロ", "komugi-iro")

    KohakuIro = c("KohakuIro", "AA7A40", "琥珀色", "こはくいろ", "コハクイロ", "kohaku-iro")

    Kincha = c("Kincha", "B47700", "金茶", "きんちゃ", "キンチャ", "kincha")

    TamagoIro = c("TamagoIro", "F4BD6B", "卵色", "たまごいろ", "タマゴイロ", "tamago-iro")

    YamabukiIro = c("YamabukiIro", "F8A900", "山吹色", "やまぶきいろ", "ヤマブキイロ", "yamabuki-iro")

    OudoIro = c("OudoIro", "B8883B", "黄土色", "おうどいろ", "オウドイロ", "oudo-iro")

    KuchibaIro = c("KuchibaIro", "847461", "朽葉色", "くちばいろ", "クチバイロ", "kuchiba-iro")

    HimawariIro = c("HimawariIro", "FFBB00", "向日葵色", "ひまわりいろ", "ヒマワリイロ", "himawari-iro")

    UkonIro = c("UkonIro", "EDAE00", "鬱金色", "うこんいろ", "ウコンイロ", "ukon-iro")

    SunaIro = c("SunaIro", "C5B69E", "砂色", "すないろ", "スナイロ", "suna-iro")

    KarashiIro = c("KarashiIro", "C8A65D", "芥子色", "からしいろ", "カラシイロ", "karashi-iro")

    KiIro = c("KiIro", "E3C700", "黄色", "きいろ", "キイロ", "ki-iro")

    TanpopoIro = c("TanpopoIro", "E3C700", "蒲公英色", "たんぽぽいろ", "タンポポイロ", "tanpopo-iro")

    Uguisucha = c("Uguisucha", "6A5F37", "鶯茶", "うぐいすちゃ", "ウグイスチャ", "uguisucha")

    Chuuki = c("Chuuki", "EDD60E", "中黄", "ちゅうき", "チュウキ", "chuuki")

    KariyasuIro = c("KariyasuIro", "EAD56B", "刈安色", "かりやすいろ", "カリヤスイロ", "kariyasu-iro")

    KihadaIro = c("KihadaIro", "D6C949", "黄檗色", "きはだいろ", "キハダイロ", "kihada-iro")

    MiruIro = c("MiruIro", "716B4A", "海松色", "みるいろ", "ミルイロ", "miru-iro")

    HiwaIro = c("HiwaIro", "C2BD3D", "鶸色", "ひわいろ", "ヒワイロ", "hiwa-iro")

    UguisuIro = c("UguisuIro", "706C3E", "鶯色", "うぐいすいろ", "ウグイスイロ", "uguisu-iro")

    MacchaIro = c("MacchaIro", "C0BA7F", "抹茶色", "まっちゃいろ", "マッチャイロ", "maccha-iro")

    Kimidori = c("Kimidori", "BBC000", "黄緑", "きみどり", "キミドリ", "kimidori")

    KokeIro = c("KokeIro", "7C7A37", "苔色", "こけいろ", "コケイロ", "koke-iro")

    WakakusaIro = c("WakakusaIro", "AAB300", "若草色", "わかくさいろ", "ワカクサイロ", "wakakusa-iro")

    Moegi = c("Moegi", "97A61E", "萌黄", "もえぎ", "モエギ", "moegi")

    KusaIro = c("KusaIro", "737C3E", "草色", "くさいろ", "クサイロ", "kusa-iro")

    WakabaIro = c("WakabaIro", "A9C087", "若葉色", "わかばいろ", "ワカバイロ", "wakaba-iro")

    MatsubaIro = c("MatsubaIro", "687E52", "松葉色", "まつばいろ", "マツバイロ", "matsuba-iro")

    Byakuroku = c("Byakuroku", "BADBC7", "白緑", "びゃくろく", "ビャクロク", "byakuroku")

    Midori = c("Midori", "00B66E", "緑", "みどり", "ミドリ", "midori")

    TokiwaIro = c("TokiwaIro", "007B50", "常磐色", "ときわいろ", "トキワイロ", "tokiwa-iro")

    RyokushouIro = c("RyokushouIro", "4D8169", "緑青色", "りょくしょういろ", "リョクショウイロ", "ryokushou-iro")

    Chitosemidori = c("Chitosemidori", "3C6754", "千歳緑", "ちとせみどり", "チトセミドリ", "chitosemidori")

    Fukamidori = c("Fukamidori", "005638", "深緑", "ふかみどり", "フカミドリ", "fukamidori")

    MoegiIro = c("MoegiIro", "00533E", "萌葱色", "もえぎいろ", "モエギイロ", "moegi-iro")

    WakatakeIro = c("WakatakeIro", "00A37E", "若竹色", "わかたけいろ", "ワカタケイロ", "wakatake-iro")

    SeijiIro = c("SeijiIro", "6DA895", "青磁色", "せいじいろ", "セイジイロ", "seiji-iro")

    AotakeIro = c("AotakeIro", "6AA89D", "青竹色", "あおたけいろ", "アオタケイロ", "aotake-iro")

    TetsuIro = c("TetsuIro", "24433E", "鉄色", "てついろ", "テツイロ", "tetsu-iro")

    Aomidori = c("Aomidori", "008E94", "青緑", "あおみどり", "アオミドリ", "aomidori")

    Sabiasagi = c("Sabiasagi", "608A8E", "錆浅葱", "さびあさぎ", "サビアサギ", "sabiasagi")

    Mizuasagi = c("Mizuasagi", "6D969C", "水浅葱", "みずあさぎ", "ミズアサギ", "mizuasagi")

    ShinbashiIro = c("ShinbashiIro", "53A8B7", "新橋色", "しんばしいろ", "シンバシイロ", "shinbashi-iro")

    AsagiIro = c("AsagiIro", "00859B", "浅葱色", "あさぎいろ", "アサギイロ", "asagi-iro")

    Byakugun = c("Byakugun", "73B3C1", "白群", "びゃくぐん", "ビャクグン", "byakugun")

    NandoIro = c("NandoIro", "00687C", "納戸色", "なんどいろ", "ナンドイロ", "nando-iro")

    Kamenozoki = c("Kamenozoki", "7EB1C1", "甕覗き", "かめのぞき", "カメノゾキ", "kamenozoki")

    MizuIro = c("MizuIro", "9DCCE0", "水色", "みずいろ", "ミズイロ", "mizu-iro")

    Ainezu = c("Ainezu", "576D79", "藍鼠", "あいねず", "アイネズ", "ainezu")

    SoraIro = c("SoraIro", "89BDDE", "空色", "そらいろ", "ソライロ", "sora-iro")

    Ao = c("Ao", "006AB6", "青", "あお", "アオ", "ao")

    AiIro = c("AiIro", "2B4B65", "藍色", "あいいろ", "アイイロ", "ai-iro")

    Koiai = c("Koiai", "223546", "濃藍", "こいあい", "コイアイ", "koiai")

    WasurenagusaIro = c("WasurenagusaIro", "89ACD7", "勿忘草色", "わすれなぐさいろ", "ワスレナグサイロ", "wasurenagusa-iro")

    TsuyukusaIro = c("TsuyukusaIro", "007BC3", "露草色", "つゆくさいろ", "ツユクサイロ", "tsuyukusa-iro")

    HanadaIro = c("HanadaIro", "2B618F", "縹色", "はなだいろ", "ハナダイロ", "hanada-iro")

    Konjou = c("Konjou", "3A4861", "紺青", "こんじょう", "コンジョウ", "konjou")

    RuriIro = c("RuriIro", "00519A", "瑠璃色", "るりいろ", "ルリイロ", "ruri-iro")

    Rurikon = c("Rurikon", "27477A", "瑠璃紺", "るりこん", "ルリコン", "rurikon")

    KonIro = c("KonIro", "343D55", "紺色", "こんいろ", "コンイロ", "kon-iro")

    KakitsubataIro = c("KakitsubataIro", "435AA0", "杜若色", "かきつばたいろ", "カキツバタイロ", "kakitsubata-iro")

    KachiIro_B = c("KachiIro_B", "3A3C4F", "勝色", "かちいろ", "カチイロ", "kachi-iro")

    GunjouIro = c("GunjouIro", "384D98", "群青色", "ぐんじょういろ", "グンジョウイロ", "gunjou-iro")

    Tetsukon = c("Tetsukon", "292934", "鉄紺", "てつこん", "テツコン", "tetsukon")

    Fujinando = c("Fujinando", "69639A", "藤納戸", "ふじなんど", "フジナンド", "fujinando")

    KikyouIro = c("KikyouIro", "4347A2", "桔梗色", "ききょういろ", "キキョウイロ", "kikyou-iro")

    Konai = c("Konai", "353573", "紺藍", "こんあい", "コンアイ", "kon'ai")

    FujiIro = c("FujiIro", "A294C8", "藤色", "ふじいろ", "フジイロ", "fuji-iro")

    Fujimurasaki = c("Fujimurasaki", "9883C9", "藤紫", "ふじむらさき", "フジムラサキ", "fujimurasaki")

    Aomurasaki = c("Aomurasaki", "7445AA", "青紫", "あおむらさき", "アオムラサキ", "aomurasaki")

    SumireIro = c("SumireIro", "714C99", "菫色", "すみれいろ", "スミレイロ", "sumire-iro")

    HatobaIro = c("HatobaIro", "665971", "鳩羽色", "はとばいろ", "ハトバイロ", "hatoba-iro")

    ShoubuIro = c("ShoubuIro", "744B98", "菖蒲色", "しょうぶいろ", "ショウブイロ", "shoubu-iro")

    Edomurasaki = c("Edomurasaki", "614876", "江戸紫", "えどむらさき", "エドムラサキ", "edomurasaki")

    Murasaki = c("Murasaki", "A757A8", "紫", "むらさき", "ムラサキ", "murasaki")

    Kodaimurasaki = c("Kodaimurasaki", "765276", "古代紫", "こだいむらさき", "コダイムラサキ", "kodaimurasaki")

    Nasukon = c("Nasukon", "473946", "茄子紺", "なすこん", "ナスコン", "nasukon")

    Shikon = c("Shikon", "422C41", "紫紺", "しこん", "シコン", "shikon")

    AyameIro = c("AyameIro", "C573B2", "菖蒲色", "あやめいろ", "アヤメイロ", "ayame-iro")

    BotanIro = c("BotanIro", "C94093", "牡丹色", "ぼたんいろ", "ボタンイロ", "botan-iro")

    Akamurasaki = c("Akamurasaki", "DA508F", "赤紫", "あかむらさき", "アカムラサキ", "akamurasaki")

    Shiro = c("Shiro", "F0F0F0", "白", "しろ", "シロ", "shiro")

    GofunIro = c("GofunIro", "EBE7E1", "胡粉色", "ごふんいろ", "ゴフンイロ", "gofun-iro")

    KinariIro = c("KinariIro", "EAE0D5", "生成り色", "きなりいろ", "キナリイロ", "kinari-iro")

    ZougeIro = c("ZougeIro", "DED2BF", "象牙色", "ぞうげいろ", "ゾウゲイロ", "zouge-iro")

    Ginnezu = c("Ginnezu", "9C9C9C", "銀鼠", "ぎんねず", "ギンネズ", "gin'nezu")

    Chanezumi = c("Chanezumi", "998D86", "茶鼠", "ちゃねずみ", "チャネズミ", "chanezumi")

    NezumiIro = c("NezumiIro", "838383", "鼠色", "ねずみいろ", "ネズミイロ", "nezumi-iro")

    Rikyuunezumi = c("Rikyuunezumi", "6E7972", "利休鼠", "りきゅうねずみ", "リキュウネズミ", "rikyuunezumi")

    NamariIro = c("NamariIro", "72777D", "鉛色", "なまりいろ", "ナマリイロ", "namari-iro")

    HaiIro = c("HaiIro", "767676", "灰色", "はいいろ", "ハイイロ", "hai-iro")

    SusutakeIro = c("SusutakeIro", "5D5245", "煤竹色", "すすたけいろ", "ススタケイロ", "susutake-iro")

    Kurocha = c("Kurocha", "3E312B", "黒茶", "くろちゃ", "クロチャ", "kurocha")

    Sumi = c("Sumi", "343434", "墨", "すみ", "スミ", "sumi")

    Kuro = c("Kuro", "2A2A2A", "黒", "くろ", "クロ", "kuro")

    Tetsuguro = c("Tetsuguro", "2A2A2A", "鉄黒", "てつぐろ", "テツグロ", "tetsuguro")

    RosePink = c("RosePink", "EE8EA0", nil, "ろーずぴんく", "ローズピンク", "rose pink")

    CochinealRed = c("CochinealRed", "AE2B52", nil, "こちにーるれっど", "コチニールレッド", "cochineal red")

    RubyRed = c("RubyRed", "B90B50", nil, "るびーれっど", "ルビーレッド", "ruby red")

    WineRed = c("WineRed", "80273F", nil, "わいんれっど", "ワインレッド", "wine red")

    Burgundy = c("Burgundy", "442E31", nil, "ばーがんでぃー", "バーガンディー", "burgundy")

    OldRose = c("OldRose", "C67A85", nil, "おーるどろーず", "オールドローズ", "old rose")

    Rose = c("Rose", "DB3561", nil, "ろーず", "ローズ", "rose")

    Strawberry = c("Strawberry", "BB004B", nil, "すとろべりー", "ストロベリー", "strawberry")

    CoralRed = c("CoralRed", "FF7F8F", nil, "こーらるれっど", "コーラルレッド", "coral red")

    Pink = c("Pink", "EA9198", nil, "ぴんく", "ピンク", "pink")

    Bordeaux = c("Bordeaux", "533638", nil, "ぼるどー", "ボルドー", "bordeaux")

    BabyPink = c("BabyPink", "FEC6C5", nil, "べびーぴんく", "ベビーピンク", "baby pink")

    PoppyRed = c("PoppyRed", "DF334E", nil, "ぽぴーれっど", "ポピーレッド", "poppy red")

    SignalRed = c("SignalRed", "CE2143", nil, "しぐなるれっど", "シグナルレッド", "signal red")

    Carmine = c("Carmine", "BE0039", nil, "かーまいん", "カーマイン", "carmine")

    Red = c("Red", "DF3447", nil, "れっど", "レッド", "red")

    TomatoRed = c("TomatoRed", "DF3447", nil, "とまとれっど", "トマトレッド", "tomato red")

    Marron = c("Marron", "662B2C", nil, "まるーん", "マルーン", "marron")

    Vermilion = c("Vermilion", "EF454A", nil, "ばーみりおん", "バーミリオン", "vermilion")

    Scarlet = c("Scarlet", "DE3838", nil, "すかーれっと", "スカーレット", "scarlet")

    Terracotta = c("Terracotta", "A95045", nil, "てらこった", "テラコッタ", "terracotta")

    SalmonPink = c("SalmonPink", "FF9E8C", nil, "さーもんぴんく", "サーモンピンク", "salmon pink")

    ShellPink = c("ShellPink", "F9C9B9", nil, "しぇるぴんく", "シェルピンク", "shell pink")

    NailPink = c("NailPink", "EFBAA8", nil, "ねーるぴんく", "ネールピンク", "nail pink")

    ChineseRed = c("ChineseRed", "FD5A2A", nil, "ちゃいにーずれっど", "チャイニーズレッド", "Chinese red")

    CarrotOrange = c("CarrotOrange", "C55431", nil, "きゃろっとおれんじ", "キャロットオレンジ", "carrot orange")

    BurntSienna = c("BurntSienna", "A2553C", nil, "ばーんとしぇんな", "バーントシェンナ", "burnt sienna")

    Chocolate = c("Chocolate", "503830", nil, "ちょこれーと", "チョコレート", "chocolate")

    Blond = c("Blond", "F6A57D", nil, "ぶろんど", "ブロンド", "blond")

    CocoaBrown = c("CocoaBrown", "704B38", nil, "ここあぶらうん", "ココアブラウン", "cocoa brown")

    Peach = c("Peach", "E8BDA5", nil, "ぴーち", "ピーチ", "peach")

    RawSienna = c("RawSienna", "B1632A", nil, "ろーしぇんな", "ローシェンナ", "raw sienna")

    Orange = c("Orange", "EF810F", nil, "おれんじ", "オレンジ", "orange")

    Brown = c("Brown", "6D4C33", nil, "ぶらうん", "ブラウン", "brown")

    Apricot = c("Apricot", "D89F6D", nil, "あぷりこっと", "アプリコット", "apricot")

    Tan = c("Tan", "9E6C3F", nil, "たん", "タン", "tan")

    MandarinOrange = c("MandarinOrange", "F09629", nil, "まんだりんおれんじ", "マンダリンオレンジ", "mandarin orange")

    Cork = c("Cork", "9F7C5C", nil, "こるく", "コルク", "cork")

    EcruBeige = c("EcruBeige", "F5CDA6", nil, "えくるべいじゅ", "エクルベイジュ", "ecru beige")

    GoldenYellow = c("GoldenYellow", "E89A3C", nil, "ごーるでんいえろー", "ゴールデンイエロー", "golden yellow")

    Marigold = c("Marigold", "FFA400", nil, "まりーごーるど", "マリーゴールド", "marigold")

    Buff = c("Buff", "C09567", nil, "ばふ", "バフ", "buff")

    Amber = c("Amber", "AA7A40", nil, "あんばー", "アンバー", "amber")

    Bronze = c("Bronze", "7A592F", nil, "ぶろんず", "ブロンズ", "bronze")

    Beige = c("Beige", "BCA78D", nil, "べーじゅ", "ベージュ", "beige")

    YellowOcher = c("YellowOcher", "B8883B", nil, "いえろーおーかー", "イエローオーカー", "yellow ocher")

    BurntUmber = c("BurntUmber", "57462D", nil, "ばーんとあんばー", "バーントアンバー", "burnt umber")

    Sepia = c("Sepia", "483C2C", nil, "せぴあ", "セピア", "sepia")

    Khaki = c("Khaki", "92723A", nil, "かーきー", "カーキー", "khaki")

    NaplesYellow = c("NaplesYellow", "EEC063", nil, "ねーぷるすいえろー", "ネープルスイエロー", "Naples yellow")

    Leghorn = c("Leghorn", "DFC291", nil, "れぐほーん", "レグホーン", "leghorn")

    RawUmber = c("RawUmber", "765B1B", nil, "ろーあんばー", "ローアンバー", "raw umber")

    ChromeYellow = c("ChromeYellow", "F6BF00", nil, "くろむいえろー", "クロムイエロー", "chrome yellow")

    Yellow = c("Yellow", "F4D500", nil, "いえろー", "イエロー", "yellow")

    CreamYellow = c("CreamYellow", "E4D3A2", nil, "くりーむいえろー", "クリームイエロー", "cream yellow")

    JauneBrillant = c("JauneBrillant", "F4D500", nil, "じょんぶりあん", "ジョンブリアン", "jaune brillant")

    CanaryYellow = c("CanaryYellow", "EDD634", nil, "かなりあ", "カナリア", "canary yellow")

    OliveDrab = c("OliveDrab", "655F47", nil, "おりーぶどらぶ", "オリーブドラブ", "olive drab")

    Olive = c("Olive", "5C5424", nil, "おりーぶ", "オリーブ", "olive")

    LemonYellow = c("LemonYellow", "D9CA00", nil, "れもんいえろー", "レモンイエロー", "lemon yellow")

    OliveGreen = c("OliveGreen", "575531", nil, "おりーぶぐりーん", "オリーブグリーン", "olive green")

    ChartreuseGreen = c("ChartreuseGreen", "C0D136", nil, "しゃとるーずぐりーん", "シャトルーズグリーン", "chartreuse green")

    LeafGreen = c("LeafGreen", "89983B", nil, "りーふぐりーん", "リーフグリーン", "leaf green")

    GrassGreen = c("GrassGreen", "737C3E", nil, "ぐらすぐりーん", "グラスグリーン", "grass green")

    SeaGreen = c("SeaGreen", "97B64D", nil, "しーぐりーん", "シーグリーン", "sea green")

    IvyGreen = c("IvyGreen", "4C6733", nil, "あいびーぐりーん", "アイビーグリーン", "ivy green")

    AppleGreen = c("AppleGreen", "A2D29E", nil, "あっぷるぐりーん", "アップルグリーン", "apple green")

    MintGreen = c("MintGreen", "58CE91", nil, "みんとぐりーん", "ミントグリーン", "mint green")

    Green = c("Green", "009A57", nil, "ぐりーん", "グリーン", "green")

    CobaltGreen = c("CobaltGreen", "09C289", nil, "こばるとぐりーん", "コバルトグリーン", "cobalt green")

    EmeraldGreen = c("EmeraldGreen", "00A474", nil, "えめらるどぐりーん", "エメラルドグリーン", "emerald green")

    MalachiteGreen = c("MalachiteGreen", "007E4E", nil, "まらかいとぐりーん", "マラカイトグリーン", "malachite green")

    BottleGreen = c("BottleGreen", "204537", nil, "ぼとるぐりーん", "ボトルグリーン", "bottle green")

    ForestGreen = c("ForestGreen", "2A7762", nil, "ふぉれすとぐりーん", "フォレストグリーン", "forest green")

    Viridian = c("Viridian", "006D56", nil, "びりじあん", "ビリジアン", "viridian")

    BilliardGreen = c("BilliardGreen", "00483A", nil, "びりやーどぐりーん", "ビリヤードグリーン", "billiard green")

    PeacockGreen = c("PeacockGreen", "007D7F", nil, "ぴーこっくぐりーん", "ピーコックグリーン", "peacock green")

    NileBlue = c("NileBlue", "3D8E95", nil, "ないるぶるー", "ナイルブルー", "Nile blue")

    PeacockBlue = c("PeacockBlue", "006E7B", nil, "ぴーこっくぶるー", "ピーコックブルー", "peacock blue")

    TurquoiseBlue = c("TurquoiseBlue", "009DBF", nil, "たーこいずぶるー", "ターコイズブルー", "turquoise blue")

    MarineBlue = c("MarineBlue", "00526B", nil, "まりんぶるー", "マリンブルー", "marine blue")

    HorizonBlue = c("HorizonBlue", "87AFC5", nil, "ほりぞんぶるー", "ホリゾンブルー", "horizon blue")

    Cyan = c("Cyan", "009CD1", nil, "しあん", "シアン", "cyan")

    SkyBlue = c("SkyBlue", "89BDDE", nil, "すかいぶるー", "スカイブルー", "sky blue")

    CeruleanBlue = c("CeruleanBlue", "0073A2", nil, "せるりあんぶるー", "セルリアンブルー", "cerulean blue")

    BabyBlue = c("BabyBlue", "A3BACD", nil, "べびーぶるー", "ベビーブルー", "baby blue")

    SaxBlue = c("SaxBlue", "5A7993", nil, "さっくすぶるー", "サックスブルー", "sax blue")

    Blue = c("Blue", "006FAB", nil, "ぶるー", "ブルー", "blue")

    CobaltBlue = c("CobaltBlue", "0062A0", nil, "こばるとぶるー", "コバルトブルー", "cobalt blue")

    IronBlue = c("IronBlue", "3A4861", nil, "あいあんぶるー", "アイアンブルー", "iron blue")

    PrussianBlue = c("PrussianBlue", "3A4861", nil, "ぷるしゃんぶるー", "プルシャンブルー", "Prussian blue")

    MidnightBlue = c("MidnightBlue", "252A35", nil, "みっどないとぶるー", "ミッドナイトブルー", "midnight blue")

    Hyacinth = c("Hyacinth", "6E82AD", nil, "ひあしんす", "ヒアシンス", "hyacinth")

    NavyBlue = c("NavyBlue", "343D55", nil, "ねーびーぶるー", "ネービーブルー", "navy blue")

    UltramarineBlue = c("UltramarineBlue", "384D98", nil, "うるとらまりんぶるー", "ウルトラマリンブルー", "ultramarine blue")

    OrientalBlue = c("OrientalBlue", "304285", nil, "おりえんたるぶるー", "オリエンタルブルー", "oriental blue")

    Wistaria = c("Wistaria", "7967C3", nil, "ういすたりあ", "ウイスタリア", "wistaria")

    Pansy = c("Pansy", "433171", nil, "ぱんじー", "パンジー", "pansy")

    Heliotorope = c("Heliotorope", "8865B2", nil, "へりおとろーぷ", "ヘリオトロープ", "heliotorope")

    Violet = c("Violet", "714C99", nil, "ばいおれっと", "バイオレット", "violet")

    Lavender = c("Lavender", "9A8A9F", nil, "らべんだー", "ラベンダー", "lavender")

    Mauve = c("Mauve", "855896", nil, "もーぶ", "モーブ", "mauve")

    Lilac = c("Lilac", "C29DC8", nil, "らいらっく", "ライラック", "lilac")

    Orchid = c("Orchid", "C69CC5", nil, "おーきっど", "オーキッド", "orchid")

    Purple = c("Purple", "A757A8", nil, "ぱーぷる", "パープル", "purple")

    Magenta = c("Magenta", "D13A84", nil, "まぜんた", "マゼンタ", "magenta")

    CherryPink = c("CherryPink", "D35889", nil, "ちぇりーぴんく", "チェリーピンク", "cherry pink")

    RoseRed = c("RoseRed", "CA4775", nil, "ろーずれっど", "ローズレッド", "rose red")

    White = c("White", "F0F0F0", nil, "ほわいと", "ホワイト", "white")

    SnowWhite = c("SnowWhite", "F0F0F0", nil, "すのーほわいと", "スノーホワイト", "snow white")

    Ivory = c("Ivory", "DED2BF", nil, "あいぼりー", "アイボリー", "ivory")

    SkyGrey = c("SkyGrey", "B3B8BB", nil, "すかいぐれい", "スカイグレイ", "sky grey")

    PearlGrey = c("PearlGrey", "AAAAAA", nil, "ぱーるぐれい", "パールグレイ", "pearl grey")

    SilverGrey = c("SilverGrey", "9C9C9C", nil, "しるばーぐれい", "シルバーグレイ", "silver grey")

    AshGrey = c("AshGrey", "8F8F8F", nil, "あっしゅぐれい", "アッシュグレイ", "ash grey")

    RoseGrey = c("RoseGrey", "8C8080", nil, "ろーずぐれい", "ローズグレイ", "rose grey")

    Grey = c("Grey", "767676", nil, "ぐれい", "グレイ", "grey")

    SteelGrey = c("SteelGrey", "6D696F", nil, "すちーるぐれい", "スチールグレイ", "steel grey")

    SlateGrey = c("SlateGrey", "515356", nil, "すれーとぐれい", "スレートグレイ", "slate grey")

    CharcoalGrey = c("CharcoalGrey", "4B474D", nil, "ちゃこーるぐれい", "チャコールグレイ", "charcoal grey")

    LampBlack = c("LampBlack", "212121", nil, "らんぷぶらっく", "ランプブラック", "lamp black")

    Black = c("Black", "212121", nil, "ぶらっく", "ブラック", "black")

  end

  JIS = JISZ8102
end
